Package ru.bitel.bgbilling.modules.bill.client.bean

# Class BGBillTablePos

java.lang.Object
ru.bitel.bgbilling.modules.bill.client.bean.BGBillTablePos

    public class BGBillTablePos
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `boolean` | `awlz` |
  `boolean` | `inSum` |
  `int` | `qtynums` |
  `int` | `qtynumsRnd` |
  `java.math.BigDecimal` | `sumUnscaled` |
  `java.lang.String` | `unitCode` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `BGBillTablePos()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `BGBillTablePos` | `clone()` |
  `void` | `fromElement​(org.w3c.dom.Element item)` |
  `void` | `fromElement​(org.xml.sax.Attributes item)` |
  `java.lang.String` | `getName()` |
  `int` | `getPositionId()` |
  `java.math.BigDecimal` | `getQuantity()` |
  `java.math.BigDecimal` | `getSum()` |
  `java.lang.String` | `getUnit()` |
  `void` | `setName​(java.lang.String name)` |
  `void` | `setPositionId​(int positionId)` |
  `void` | `setQuantity​(java.math.BigDecimal quantity)` |
  `void` | `setSum​(java.math.BigDecimal sum)` |
  `void` | `setUnit​(java.lang.String unit)` |
  `void` | `toElement​(javax.xml.stream.XMLStreamWriter item)` |
  `void` | `toElement​(org.w3c.dom.Element item)` |

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### sumUnscaled

    public java.math.BigDecimal sumUnscaled

  - ### qtynums

    public int qtynums

  - ### qtynumsRnd

    public int qtynumsRnd

  - ### unitCode

    public java.lang.String unitCode

  - ### inSum

    public boolean inSum

  - ### awlz

    public boolean awlz

- ## Constructor Details

  - ### BGBillTablePos

    public BGBillTablePos()

- ## Method Details

  - ### fromElement

    public void fromElement​(org.w3c.dom.Element item)

  - ### fromElement

    public void fromElement​(org.xml.sax.Attributes item)

  - ### toElement

    public void toElement​(org.w3c.dom.Element item)

  - ### toElement

    public void toElement​(javax.xml.stream.XMLStreamWriter item) throws javax.xml.stream.XMLStreamException
    Throws:
      `javax.xml.stream.XMLStreamException`

  - ### clone

    public BGBillTablePos clone()
    Overrides:
      `clone` in class `java.lang.Object`

  - ### getPositionId

    public int getPositionId()

  - ### setPositionId

    public void setPositionId​(int positionId)

  - ### getName

    public java.lang.String getName()

  - ### setName

    public void setName​(java.lang.String name)

  - ### setSum

    public void setSum​(java.math.BigDecimal sum)

  - ### getSum

    public java.math.BigDecimal getSum()

  - ### setQuantity

    public void setQuantity​(java.math.BigDecimal quantity)

  - ### getQuantity

    public java.math.BigDecimal getQuantity()

  - ### setUnit

    public void setUnit​(java.lang.String unit)

  - ### getUnit

    public java.lang.String getUnit()